%{!?dotests: %define dotests 1}
%define name python3-jmespath
%define srcname jmespath 
%define version 0.9.4
%define release 1

%define is_python %(test -e /usr/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

Summary: A low-level interface to a growing number of Amazon Web Services
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Michael Foord <michael@voidspace.org.uk>
Url: http://www.voidspace.org.uk/python/mock/

BuildRequires: python3 >= 3.7.3, python3-devel >= 3.7.3, python3-nose >= 1.3.7
Requires: python3 >= 3.7.3

%description
A low-level interface to a growing number of Amazon Web Services.

%prep
%setup -n %{srcname}-%{version}

%build
python3 setup.py build

if [ "%{dotests}" == 1 ]
then
    python3 setup.py test
fi


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc LICENSE.txt PKG-INFO README.rst
%{_bindir}/*
%{python_sitelib}/jmespath*

%changelog
* Wed Nov 21 2019 Reshma V Kumar <reskumar@in.ibm.com> - 0.9.4-1
- Update to latest version
- Build with python3

* Tue May 9 2017 Ravi Sooryakanth Hirekoorabar <rhirekur@in.ibm.com> - 0.9.2
- First build for AIX 6.1
